[![GitHub release](https://img.shields.io/github/release/gsantner/kimai-android.svg)](https://github.com/gsantner/kimai-android/releases)
[![Donate](https://img.shields.io/badge/donate-bitcoin-orange.svg)](http://gsantner.net/#donate)
[![Donate LiberaPay](https://img.shields.io/badge/donate-liberapay-orange.svg)](https://liberapay.com/gsantner/donate)
[![Build Status](https://travis-ci.org/gsantner/kimai-android.svg?branch=master)](https://travis-ci.org/gsantner/kimai-android)
[![Translate - with Stringlate](https://img.shields.io/badge/stringlate-translate-green.svg)](https://lonamiwebs.github.io/stringlate/translate?git=https%3A%2F%2Fgithub.com%2Fgsantner%2Fkimai-android.git&name=Kimai%20TT&web=https%3A%2F%2Fgithub.com%2Fgsantner%2Fkimai-android)

# Kimai TimeTracker
<img src="/wawl/ic_launcher-web.png" align="left" width="100" hspace="10" vspace="10">
Android app for the time managment application <a href="http://www.kimai.org/">Kimai</a>.
It makes mobile time tracking and logging into your kimai existing installation easier.</br>

<div style="display:flex;" >
<a href="https://f-droid.org/repository/browse/?fdid=de.live.gdev.timetracker">
    <img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80">
</a>
<a href="https://play.google.com/store/apps/details?id=de.live.gdev.timetracker">
    <img alt="Get it on Google Play" height="80" src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png" />
</a>
</div></br>


## Description
App for the time managment application Kimai.
This app makes mobile tracking and logging into your kimai existing installation easier.
You have to enter the URL, username, and password of your installation, if you want to be auto logged in after application start check the appropiate box.
To refresh page, long press on the green bottom button.

Additonally you can switch between 3 profiles. Each of them has his own dataset.

Normally you have to open your browser, go to favourites, click your kimai page, input data. Now you only have to do the last step every time you want to add entries.

This app was developed under non commercial purposes.
Actually there are no, and there will never be advertisments.

### Privacy
This app doesn't open connections to anywhere else than your entered kimai url.
Any other data than your entered data won't be collected or stored on your device.

## Contributions
The project is always open for contributions and accepts pull requests.
The project uses [AOSP Java Code Style](https://source.android.com/source/code-style#follow-field-naming-conventions), with one exception: private members are `_camelCase` instead of `mBigCamel`. You may use Android Studios _auto reformat feature_ before sending a PR.

Translations can be contributed on GitHub or via [E-Mail](http://gsantner.net/#contact). You can use Stringlate ([![Translate - with Stringlate](https://img.shields.io/badge/stringlate-translate-green.svg)](https://lonamiwebs.github.io/stringlate/translate?git=https%3A%2F%2Fgithub.com%2Fgsantner%2Fkimai-android.git&name=Kimai%20TT&web=https%3A%2F%2Fgithub.com%2Fgsantner%2Fkimai-android)) to translate the project directly on your Android phone. It allows you to export as E-Mail attachement and to post on GitHub.


#### Resources
* Project: [Changelog](/CHANGELOG.md) | [Issues level/beginner](https://github.com/gsantner/kimai-android/issues?q=is%3Aissue+is%3Aopen+label%3Alevel%2Fbeginner) | [License](/LICENSE.txt) | [CoC](/CODE_OF_CONDUCT.md)
* App on F-Droid: [Metadata](https://gitlab.com/fdroid/fdroiddata/blob/master/metadata/de.live.gdev.timetracker.txt) | [Page](https://f-droid.org/packages/de.live.gdev.timetracker/) | [Wiki](https://f-droid.org/wiki/page/de.live.gdev.timetracker) | [Build log](https://f-droid.org/wiki/page/de.live.gdev.timetracker/lastbuild)
* Kimai: [Homepage](http://www.kimai.org/) | [Demo Account](https://demo.kimai.org/status.php)

## Licensing
Project created and maintained by <a href="http://gsantner.net">Gregor Santner</a> since 2014.
The code of the app is licensed MIT. Localization files and resources (string\*.xml) are licensed CC0 1.0.
For more licensing informations, see [`3rd party licenses`](/app/src/main/res/raw/licenses_3rd_party.md).
Note that the projects [cherrymusic-android](https://github.com/gsantner/cherrymusic-android) and [kimai-android](https://github.com/gsantner/kimai-android) share the code base.


## Screenshots
<div style="display:flex;" >
	<img src="https://raw.githubusercontent.com/gsantner/kimai-android/master/metadata/en-US/phoneScreenshots/01.png" width="59%" >
</div>
<div style="display:flex;" >
	<img src="https://raw.githubusercontent.com/gsantner/kimai-android/master/metadata/en-US/phoneScreenshots/03.png" width="24%" >
	<img src="https://raw.githubusercontent.com/gsantner/kimai-android/master/metadata/en-US/phoneScreenshots/04.png" width="24%" style="margin-left:10px;" >
	<img src="https://raw.githubusercontent.com/gsantner/kimai-android/master/metadata/en-US/phoneScreenshots/05.png" width="24%" style="margin-left:10px;" >
	<img src="https://raw.githubusercontent.com/gsantner/kimai-android/master/metadata/en-US/phoneScreenshots/02.png" width="24%" style="margin-left:10px;" >
</div>
